@charset "utf-8";
/* CSS Document */

.example::-webkit-scrollbar {
  display: none;
}

     /*page main titles*/
   
    h1{
      text-align:center;
      font-weight:bold;
      font-size:50px;
      }

     
    /*horizonal scroll bar*/

    .gallery-container {
      width: 100%;
      overflow: hidden;
      text-align: center;
      border-radius: 10px;
      background: #fff;
      height:550px;
      padding-left:0px;
      padding-top:40px;
      padding-bottom:40px;
      box-shadow: 4px 4px 10px rgba(0, 0, 0, 0.2);
    }


    .gallery {
      display: flex;
      gap: 10px;
      animation: scroll 60s linear infinite;
    }


    .gallery img {
      width: 500px;
      height: 550px;
      object-fit: cover;
      transition: transform 0.3s ease;
    }


    .gallery img:hover {
      transform: scale(1.1);
     
    }


    .gallery-container:hover .gallery{
      animation-play-state: paused;
    }
     
    @keyframes scroll {
      from {
        transform: translateX(0);
      }
      to {
        transform: translateX(-100%);
      }
    }

    /*default body*/

    body {
      margin: 0;
      background-color: #D3D3D3;
      overflow-x: hidden;
    }


    /*header elements*/
   
    .main-header {
      display: flex;
      justify-content: space-between;
      align-items: center;
      background-color: white;
      padding: 8px 20px;
      box-shadow: 4px 4px 10px rgba(0, 0, 0, 0.2);
    }


    .logo {
      display: flex;
      align-items: flex-start;
    }


    .logo img {
      height: 40px;
      margin-right: 20px;
      margin-top: 3px;
    }


    .search-bar {
      flex: 1;
      display: flex;
      justify-content: flex-start;
      margin-right: 20px;
    }


    .search-bar input {
      width: 100%;
      max-width: 300px;
      padding: 8px 12px;
      border-radius: 20px;
      border: 1px solid #ccc;
      outline: none;
    }


    .menu-2-icon {
      display: flex;
      margin-right: 100px;
    }

    .menu-1-icon {
      display: flex;
      margin-right: 55px;
    }


    .menu-1-icon a, .menu-2-icon a {
      text-decoration: none;
      color: grey;
      font-size: 16px;
      margin: 0 10px;
      padding: 10px 20px;
      background-color: white;
      border-radius: 20px;
      transition: background-color 0.5s ease;
     
    }


    .menu-1-icon a:hover, .menu-2-icon a:hover  {
      background-color: #D3D3D3;
      color: black;
    }

    .icons-container {
      display: flex;
      margin-right: 13px;
      position: fixed; 
      top: 20px;
      right: 20px; 
      z-index: 1000; 
  }
  
  .icons {
      display: flex;
      align-items: center;
      gap: 20px;
  }
  
  .icons img {
      height: 25px;
      cursor: pointer;
      transition: opacity 0.2s ease;
  }
  
  .icons img:hover {
      opacity: 0.8;
  }
  
     
  /*footer elements*/

  footer {
    background-color: #141414;
    height: 450px;
    color: white;
    padding-top: 75px;
    font-size: 35px;
    line-height: 20px;
    width: 100%;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center; /* Centers all content horizontally */
    justify-content: space-between;
    text-align: center;
    box-shadow: 4px 4px 10px rgba(0, 0, 0, 0.2);
    margin-top: 20px;
  }
  
  footer figure {
    margin: 0;
  }
  
  footer .footer-item a {
    font-weight: bold;
    text-decoration: none;
    color: white;
    display: inline; 
  }
  
  footer figcaption {
    font-size: 12px;
    color: grey;
  }
  
  #legal:hover{
    cursor:pointer;
  }

  #legal{
    font-size: 15px;  
  }

  .social-media {
    display: flex;
    gap: 15px;
    margin-top: 70px;
    justify-content: center; 
  }
  
  .social-media img {
    width:40px;
    height: auto;
    cursor: pointer;
    transition: transform 0.3s ease;
  }
  
  .social-media img:hover {
    transform: scale(1.1);
  }
  


    /*3D scroll bar*/


    .gamecards-banner {
      height: 1000px;
      text-align: center;
      overflow: hidden;
      position: relative;
      margin-bottom: -175px;
      margin-top: -50px;
    }
   
    .gamecards-banner .slider {
      width: 200px;
      height: 250px;
      top: 10%;
      left: calc(50% - 100px);
      transform-style: preserve-3d;
      transform: perspective(1000px);
      animation: autoRun 60s linear infinite;
      position: absolute;
    }
   
    @keyframes autoRun {
      from {
        transform: perspective(1000px) rotateY(0deg);
      }
      to {
        transform: perspective(1000px) rotateY(360deg);
      }
    }
   
    .gamecards-banner .slider .item {
      background-color: black;
      position: absolute;
      top: 0;
      left: 0;
      transform: rotateY(calc((var(--position) - 1) * (360deg / var(--quantity)))) translateZ(550px);
      transform-style: preserve-3d;
      user-select: none;
    }
   
    .face {
      position: absolute;
      width: 100%;
      height: 100%;
      backface-visibility: hidden;
    }
   
    .face.front {
      transform: rotateY(0deg);
    }
   
    .face.back {
      transform: rotateY(180deg);
    }
   
    .face img {
      object-fit: cover;
      border-radius: 5px;
    }


    .quote-center{
      margin-top: -60px;
      font-size: 10px;
    }


    .quote-left{
      margin-left: -100px;
      font-size: 8px;
    }


    .quote-right{
      margin-right: -100px;
      font-size: 9px;
    }


    /*products grid*/
   
    .item .name, .item .desc {
      padding-top: 10px;
      padding-bottom: 5px;
      width: 300px;
      margin: 0;
      gap: 0px;
    }
   
    .item .name{
      padding-top: 50px;
    }
   
    .item img {
      height: 250px;
      width: auto;
      padding-top: 50px;
      padding-bottom: 75px;
    }
   
    .item-container1 {
      display: grid;
	  grid-template-columns: repeat(auto-fit, minmax(500px, 1fr));
      row-gap: 60px;
	  place-items: center;
    }

    .item-container2 {
    display: grid;
	  grid-template-columns: repeat(auto-fit, minmax(500px, 1fr));
    row-gap: 60px;
	  place-items: center;
    }
   
    .item {
      display: flex;
      flex-direction: column;
      align-items: center;
      width: 200px;
      text-align: center;
    }

	/*Login page elements*/

#login-image {
    height: 900px;
    width: auto; 
    margin-left: -700px;
	margin-top: 50px;
}

.login-page-container{
	  display: flex;
  flex-direction: column;
  align-items: center;
}

@media (max-width: 1440px) {
	.login-page-container{
		transform: scale(0.6);
		margin-top: -100px;
	}
}

.login-container {
    background-color: #dddddd;
    border-radius: 50px;
    height: 750px;
    width: 500px;
    padding: 20px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
    margin-top: -900px;
	margin-left: 1000px;
}

.login-content{
  padding: 60px;
  line-height: 1.5;
  justify-content: center;
  margin-top: -50px;
 
}

.login-content h2{
  text-align: center;
}

.login-content input, .login-content textarea{
  width: 350px;
  padding: 8px;
  border-radius: 25px;
  border: 1px solid #ccc;
  font-size: 16px;
}


.login-content button {
padding: 8px 20px;
background-color: #d000d7; 
border: none;
border-radius: 50px;
color: white;
font-size: 16px;
cursor: pointer;
}

.login-content button:hover {
background-color: #a000b5; 
}

/*Extended Image Buttons*/

.link-button {
  box-shadow: 4px 4px 10px rgba(0, 0, 0, 0.2);
  position: relative;
  background-color: lightgrey;
  text-align: center;
  line-height: 100px;
  height: 100px;
  border-radius: 50px;
  width: 985px;
  transition: background-color 0.3s, height 0.5s ease-out;
  margin: 25px auto;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.link-button img {
  width: 100%;
  height: auto;
  object-fit: cover;
  border-radius: 50px;
  opacity: 0;
  transition: opacity 0.5s ease-in-out;
  position: absolute; 
}

.link-button:hover img {
  opacity: 1;
}

.link-button:hover {
  height: 560px;
  transition: height 0.5s ease-in;
}

.link-button .hidden-link {
  position: absolute;
  bottom: 50px; 
  left: 50%;
  transform: translateX(-50%);
  color: black;
  background-color: lightgrey; 
  padding: 5px 40px;
  border-radius: 25px;
  text-decoration: none;
  font-size: 16px;
  width: 150px;
  height: 30px;
  line-height: 30px;
  text-align: center;
  opacity: 0;
  transition: opacity 0.3s ease;
  pointer-events: none;
  box-shadow: 4px 4px 10px rgba(0, 0, 0, 0.2);
}

.link-button:hover .hidden-link {
  opacity: 1;
  pointer-events: auto;
  transition-delay: 0.5s;
}

.link-button .hidden-link:hover {
  background-color: #d000d7;
  transition: ease 0.2s;
  color: white;
}



/*About information*/

#about-container {
  text-align: center; 
  padding: 10px 20px;
  background-color: #f7f7f7; 
  border-radius: 25px; 
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2); 
  max-width: 960px; 
  margin: 50px auto; 
  height: 964px;
	overflow: hidden;
}

#about-text {
  font-size: 18px;
  line-height: 1.8; 
  color: #555;
  margin-bottom: 30px; 
  padding-left: 50px;
  padding-right: 50px;
  padding-top: 20px;
  font-style: italic;
}

#about-image img {
  width: 100%; 
  max-width:945px; 
  height: auto; 
  margin: 20px 0;
  border-radius: 25px; 
  margin-top: -20px;
	
}

#about-caption{
  text-align: left;
  margin-left: 550px;
  font-size: 40px;
  margin-top: -350px;
  line-height: 1.4
}

.learn-more-button {
  background-color: #d000d7; 
  color: white;
  font-size: 16px;
  padding: 10px 20px;
  border: none;
  border-radius: 25px; 
  cursor: pointer;
  transition: background-color 0.3s ease, transform 0.2s ease;
}

.learn-more-button:hover{
  background-color: #a000b5; 
  transform: scale(1.05); 
}

/*Toggle left/right buttons*/

#toggle-container, #toggle-container-2 {
  display: flex;
  align-items: center;
  width: 1000px;
  height: 500px;
  background-color: white;
  border-radius: 25px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
  overflow: hidden;
  position: relative;
}

#text-left, #text-right, #text-left-2, #text-right-2 {
  flex: 1;
  display: flex;
  justify-content: center;
  text-align: center;
  align-items: center;
  padding: 50px;
  font-size: 20px;
  color: #555;
}

#text-left h2, #text-right h2, #text-left-2 h2, #text-right-2 h2{
  flex: 1;
  display: flex;
  justify-content: center;
  text-align: center;
  align-items: center;
  font-size: 20px;
  color: #555;
  font-weight: bold;
}

#image-container, #image-container-2 {
  position: absolute;
  width: 500px;
  height: 800px;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: transform 0.5s ease;
  z-index: 2;
}

#toggle-image, #toggle-image-2 {
  width: 500px;
  height: 500px;
}

.hidden {
  visibility: hidden;
  opacity: 0;
  transition: opacity 0.5s ease-in-out;
}

.visible {
  visibility: visible;
  opacity: 1;
  transition: opacity 0.5s ease-in-out;
}

.center-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 500px;
}

.toggle-icon {
  cursor: pointer;
  height: 150px;
  display: block;
  margin: 0 auto; 
}


/*Product Information Columns*/

.productinfo-container {
  display: flex;
  flex-direction: column;
  justify-content: space-between; 
  align-items: center;
  text-align: center; 
  padding: 50px 20px;
  background-color: #f7f7f7; 
  border-radius: 25px; 
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
  max-width: 1000px;
  margin: 50px auto;  
  margin-left: -150px;
  width: 500px;
  height: 1200px;
  box-sizing: border-box;
}

.productinfo-container h1 {
  font-size: 36px;
  color: #333;
  margin-bottom: 20px;
}

.productinfo-text {
  font-size: 18px;
  line-height: 1.8; 
  color: #555;
  margin-bottom: 30px; 
  padding: 0 10px;
}

.productinfo-content {
  flex-grow: 1; 
}

.productinfo-specification {
  text-align: left;
  margin-top: auto;
}

.productinfo-price{
  font-size: 70px;
  position: absolute;
  margin-top: 510px;
}

.productinfo-price2{
  font-size: 70px;
  position: absolute;
  margin-top: 480px;
}

.buy-button {
  background-color: #d000d7;
  color: white;
  border: none;
  font-size: 20px;
  font-weight: normal;
  text-align: center;
  height: 50px;
  border-radius: 25px;
  width: 180px;
  padding: 10px 20px;
  margin-top: auto;
  transition: background-color 0.3s;
}

.buy-button:hover {
  background-color: #a000b5;
  cursor: pointer;
  transform: scale(1.05);
}

/*Decoration Elements*/

.divider-line-full {
  width: 84%; 
  height: 2px; 
  background-color: #ccc; 
  margin: 20px auto;
  border: none; 
  box-shadow: 4px 4px 10px rgba(0, 0, 0, 0.2);
}

.divider-line-half {
  width: 60%; 
  height: 2px; 
  background-color: #ccc; 
  margin: 20px auto;
  border: none; 
  box-shadow: 4px 4px 10px rgba(0, 0, 0, 0.2);
}

#gamecard-gallery h5, .support-subheader h5{
  text-align: center;
  color: grey;
  margin-bottom: -20px;
}

/* Support Elements */

.support-banner {
  width: 100%;
  overflow: hidden;
  height: 650px;
  position: relative;
  background-repeat: no-repeat;
  background-size: cover;
  display: flex;
  align-items: center;
  justify-content: center;
}

.support-card-container{
  display: flex;
  flex-direction: horizontal;
  justify-content: space-around;
  gap: 50px;
}

@media (max-width: 1440px) {
	.support-card-container{
		transform: scale(0.8);
	}
}

.support-card{
  background-color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  width:350px;
  height: 400px;
  border-radius: 50px;
  box-shadow: 4px 4px 10px rgba(0, 0, 0, 0.2);
}

body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
  background-color: #f9f9f9;
}

.support-banner h1 {
  position: absolute;
  align-items: center;
  text-align: center;
  margin-top: -460px;
  color: white;
  font-size: 70px;
  text-shadow: 2px 2px 10px rgba(0, 0, 0, 0.5);
}

.support-banner h5 {
  position: absolute;
  align-items: center;
  text-align: center;
  margin-top: -540px;
  color: white;
  text-shadow: 2px 2px 10px rgba(0, 0, 0, 0.5);
}

.support-option {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

.support-option img {
  height: 80px;
  margin-bottom: 5px;
}

/*Support Contact Form */

.sub-header {
  display: flex;
  justify-content: center;
  margin-top: -20px;
  text-align: center;
  color:#555
}

.contact-container {
  background-color: #dddddd;
  border-radius: 50px;
  max-width: 40%; 
  margin: 0 auto; 
  padding: 40px;
  text-align: center;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
  line-height: 2;
}

.contact-content {
  display: flex;
  flex-direction: column;
  align-items: center; 
}

.contact-content label {
  font-size: 17px;
  line-height: 1;
}

.contact-content select {
  width: 200px;
  padding: 10px;
  border-radius: 25px;
  border: 1px solid #ccc;
  color:rgb(110, 110, 110);
  font-size: 16px;
}

.contact-content input,
.contact-content textarea {
    width: 300px;
    padding: 10px;
    border-radius: 25px;
    border: 1px solid #ccc;
    font-size: 16px;
    font-family: inherit;
    resize: none;
  }
  
  
.contact-content button {
  margin-top: 20px;
  padding: 10px 20px;
  background-color: #d000d7; 
  border: none;
  border-radius: 50px;
  color: white;
  font-size: 16px;
  cursor: pointer;
}

.contact-content button:hover {
  background-color: #a000b5; 
}

/*Posts section*/

.post-container {
  margin: 60px auto 20px auto;
}

.posts{
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(500px, 1fr));
  gap: 40px;
  padding: 50px;
  row-gap: 60px;
}

.post-container h2, .post-container h4{
    text-align: center;
}

.post {
  background-color: white;
  border-radius: 50px;
  padding: 10px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
  display: flex;
  flex-direction: column;

}

.post p{
 text-align: center; 
 padding-left: 20px;
 padding-right: 20px;
}

.post-header {
  display: flex;
  align-items: center; 
  justify-content: space-between; 
  gap: 10px;
  width: 100%; 
}

.avatar {
  width: 75px;
  height: 75px;
  border-radius: 50%;
  background-color: black;
  flex-shrink: 0; 
}

.username {
  color: #333;
  font-weight: bold;
  text-align: left;
  white-space: nowrap; 
}


.post-image {
  width: auto;
  height: auto;
  border-radius: 25px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 20px;
  margin-top: 10px;
}

.post-image-2grid {
  width: auto;
  height: auto;
  background-color: #ccc;
  border-radius: 25px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 20px;
  color: #555;
  margin-top: 10px;
}

.username-2grid {
  color: #333;
  font-weight: bold;
  text-align: left;
  white-space: nowrap;
  font-size: 25px;
}

.subject {
  color: #333;
  font-weight: bold;
  white-space: nowrap;
  margin-left: auto; 
  padding-right:10px;
}

.subject-2grid {
  color: #333;
  font-weight: bold;
  white-space: nowrap; 
  margin-left: auto; 
  padding-right:10px;
  font-size: 25px;
}

.hashtags{
  color: blue;
  cursor: pointer;
  display: inline;
}

/*Cart Elements*/

#products-dropdown-menu {
  text-align: center;
  position: fixed;
  background-color: white;
  color: black;
  border: 1px solid #ddd;
  padding: 10px;
  box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
  display: none;
  z-index: 9999; 
  width: 250px; 
  height: 500px;   
  top: 63px;
  border-radius: 25px;
  border-top-right-radius: 0%;
  border-bottom-right-radius: 0%;  
  right: 0; 
  overflow-y: auto; 
}

#store-dropdown-menu {
  text-align: center;
  position: fixed;
  background-color: white;
  border: 1px solid #ddd;
  color: black;
  padding: 10px;
  box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
  display: none;
  z-index: 9999; 
  width: 250px; 
  height: 500px;
  top: 63px;
  border-radius: 25px;
  border-top-right-radius: 0%;
  border-bottom-right-radius: 0%;
  right: 0; 
  overflow-y: auto; 
}


.cart-item {
  display: flex;
  align-items: center;
  margin-bottom: 10px;
  display: block;
  padding: 10px;
  color: black;
  border-bottom: 1px solid #f1f1f1;
  text-decoration: none;
}
  
.cart-item a {
  color: black;
}
  
.cart-button {
  background-color: lightgrey;
  color: black;
  padding: 8px 16px;
  margin: 5px;
  border-radius: 20px;
  text-align: center;
  display: inline-block;
  cursor: pointer;
  transition: background-color 0.3s ease;
  text-decoration: none;
}
  
.cart-button:hover {
  background-color: #d000d7;
  color:white;
}
  
.total-price {
  display: block;
  font-size: 14px;
  font-weight: bold;
  color: #333;
  margin-top: 10px;
  text-align: center;
}

#response-message{
	text-align:center;
	align-items: center;
}
